#include "utils.h"

namespace UKUI {

QString fromQListIntToString(const QList<int> sequence)
{
    QString itemSequence;
    if(!sequence.isEmpty()) {
        itemSequence = QString::number(sequence.first());
        for(int i = 1; i < sequence.size(); i++) {
            itemSequence += QString(",") += QString::number(sequence.at(i));
        }
    }
    return itemSequence;
}

QString fromQListUIntToString(const QList<quint32> sequence)
{
    QString itemSequence;
    if(!sequence.isEmpty()) {
        itemSequence = QString::number(sequence.first());
        for(int i = 1; i < sequence.size(); i++) {
            itemSequence += QString(",") += QString::number(sequence.at(i));
        }
    }
    return itemSequence;
}

}


