#ifndef UTILS_H
#define UTILS_H

#include <QString>
#include <QList>

namespace UKUI {

///
/// \brief      fromQListIntToString：将QList<int>转为以逗号分割的字符串
/// \param      QList<int>
/// \return     以逗号分割的字符串
///
QString fromQListIntToString(const QList<int> sequence);

///
/// \brief      fromQListUIntToString：将QList<uint>转为以逗号分割的字符串
/// \param      QList<uint>
/// \return     以逗号分割的字符串
///
QString fromQListUIntToString(const QList<quint32> sequence);

// TODO: 以二进制格式存储到数据库

}

#endif // UTILS_H
